{ config, ... }: {

  sops.secrets.minio_root_user = {
    sopsFile = ../../../secrets/static-sites/default.yaml;
  };
  sops.secrets.minio_root_pass = {
    sopsFile = ../../../secrets/static-sites/default.yaml;
  };

  sops.templates."minio-root-credentials" = {
    content = ''
MINIO_ROOT_USER=${config.sops.placeholder.minio_root_user}    
MINIO_ROOT_PASSWORD=${config.sops.placeholder.minio_root_pass}'';
  };

  services.minio = {
    enable = true;
    rootCredentialsFile = config.sops.templates."minio-root-credentials".path;
  };
}
